<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:dc="http://purl.org/dc/elements/1.1/"
	xmlns:dcterms="http://purl.org/dc/terms/"
	xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
	version="1.0">

	<xsl:output	method="xml" encoding="UTF-8" indent="yes"/>

  <!-- disable all default text node output -->
  <xsl:template match="text()"/>

  <!-- Bring back just the brief fields -->
  <xsl:template match="/">
    <dc:metadata>
       <xsl:apply-templates/>
    </dc:metadata>
  </xsl:template>

  <xsl:template match="//dc:identifier">
    <xsl:copy-of select="." />
  </xsl:template>
 
  <xsl:template match="//dc:title">
    <xsl:copy-of select="." />
  </xsl:template>
    
  <xsl:template match="//dc:creator">
    <xsl:copy-of select="." />
  </xsl:template>

  <xsl:template match="//dcterms:abstract">
    <xsl:copy-of select="." />
  </xsl:template>

</xsl:stylesheet>
