#! /bin/bash

REPOSITORIES[0]='Central Connecticut State University'
REPOSITORIES[1]='Eastern Connecticut State University'
REPOSITORIES[2]='Southern Connecticut State University'
REPOSITORIES[3]='Western Connecticut State University'
REPOSITORIES[4]='Connecticut State Library'
REPOSITORIES[5]='University of Connecticut'

REPOCODE[0]='US-ctnbt'
REPOCODE[1]='US-ctwilln'
REPOCODE[2]='US-ctnhn'
REPOCODE[3]='US-ctdabn'
REPOCODE[4]='US-ct'
REPOCODE[5]='US-UCW'


CAODIR=/srv/www/cao
DIRLIST="ccsu ecsu scsu wcsu statelib uconn"
x=0
#Wrap in code block for redirection
{
echo "<counts>"
for dir in $DIRLIST 
do
  count=$(ls $CAODIR/$dir/*.xml | wc -l)
  repo=$(echo ${REPOSITORIES[$x]})
  repocode=$(echo ${REPOCODE[$x]}) 
  echo  "<$repocode>$count</$repocode>"
  x=$((x + 1))
done
echo "</counts>"
} > ${CAODIR}/counts.xml

